## org.apache.batik.parser
Interface ShapeProducer

All Known Implementing Classes:
  AWTPathProducer, AWTPolylineProducer

public interface ShapeProducer

This interface represents objects which creates Shape objects.

Method Summary
`java.awt.Shape` `getShape()` Returns the Shape object initialized during the last parsing.
`int` `getWindingRule()` Returns the current winding rule.
`void` `setWindingRule(int i)` Sets the winding rule used to construct the path.

Method Detail

### getShape

    public java.awt.Shape getShape()

  Returns the Shape object initialized during the last parsing.

  Returns:
    the shape or null if this handler has not been used to parse a path.

### setWindingRule

    public void setWindingRule(int i)

  Sets the winding rule used to construct the path.

### getWindingRule

    public int getWindingRule()

  Returns the current winding rule.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.